{"openapi":"3.0.4","info":{"title":"List Users","description":"List the available Users","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/users":{"get":{"tags":["Users"],"summary":"List Users","description":"List the available Users","operationId":"ListUsers","parameters":[{"name":"includeDeactivated","in":"query","description":"Include previously deleted (not purged) users","schema":{"type":"boolean","default":false},"x-nullable":true}],"responses":{"200":{"description":"List the available users","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UserResponse"}},"example":[{"id":"asybvrs5","emailAddress":"joe.bloggs@myco.com","login":"joe.bloggs@myco.com","firstName":"Joe","lastName":"Bloggs","roles":[{"id":"customrole1","roleId":{"scope":"default","code":"customrole2"},"source":"LusidUser","name":"Front Office Administrator","description":"Administration role for Front Office staff","samlName":"customrole2"}],"type":"Personal","status":"ACTIVE","external":false,"userExpiry":"2029-02-12T12:00:00.0000000+00:00"}]}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}